/*
 * This file is part of jSpeed.
 *
 * jSpeed is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * jSpeed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with jSpeed.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef POISETTINGS_H
#define POISETTINGS_H

#include <QtGui/QDialog>

class QLineEdit;
class QLabel;
class QCheckBox;
class SoundSelector;
class FileSelector;

class PoiSettings : public QDialog
{
    Q_OBJECT

public:
    PoiSettings(QWidget* parent = 0);

signals:
    void saved();

protected:
    virtual void setVisible(bool visible);

private slots:
    void saveSettings();
    void importFile();

private:
    void loadFiles();
    void loadSounds(QString const& dir, QString const& selected);
    QCheckBox* enabled_;
    FileSelector* poiFileSelector_;
    SoundSelector* soundSelector_;
    QLineEdit* distance_;
    QLabel* distanceLabel_;
    QCheckBox* onlyOnRoute_;

};

#endif
